%define		module	Config-IniFiles

Name:		perl-%module
Version:	2.47
Release:	%mkrel 1
Summary:	A module for reading .ini-style configuration files
License: 	GPL
Group: 		Development/Perl
URL:		http://search.cpan.org/dist/%module/
Source:     http://www.cpan.org/modules/by-module/Config/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  perl(Module::Build)
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This perl module allows you to access to config files written in the
.ini style.

%prep
%setup -q -n Config-IniFiles-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %{buildroot}
%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Config
%{_mandir}/*/*


%changelog
* Fri Jan 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.47-1mdv2009.1
+ Revision: 332845
- update to new version 2.47

* Sun Jan 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.46-1mdv2009.1
+ Revision: 330907
- update to new version 2.46

* Mon Dec 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.45-1mdv2009.1
+ Revision: 320944
- new version

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.39-4mdv2009.0
+ Revision: 223575
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.39-3mdv2008.1
+ Revision: 136690
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.39-3mdv2008.0
+ Revision: 64793
- rebuild


* Sat Feb 03 2007 Olivier Thauvin <nanardon@mandriva.org> 2.39-2mdv2007.0
+ Revision: 116052
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Config-IniFiles

* Tue Jan 31 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.39-1mdk
- 2.39
- spec cleanup
- Add tests

* Tue Feb 15 2005 Michael Scherer <misc@mandrake.org> 2.38-3mdk
- Rebuild
- Fix description, and rpmlint warning.

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.38-2mdk
- rebuild
- fix url
- own dir
- cosmetic

